import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung:
  * Das Projekt dient der Demonstration des Einbaus
  * von JButton- und JTextField-Komponenten
  *
  * @version 1.0 vom 14.12.2010
  * @author
  */

public class Gui extends JFrame {
  // Anfang Attribute
  private JButton jButton1 = new JButton();
  private JTextField jTextField1 = new JTextField();
  private JTextField jTextField2 = new JTextField();
  private JButton jButton2 = new JButton();
  // Ende Attribute

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jButton1.setBounds(152, 232, 123, 25);
    jButton1.setText("Beenden");
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    
    jTextField1.setBounds(16, 16, 121, 24);
    jTextField1.setText("Textfeld [Eingabe]");
    cp.add(jTextField1);
    
    jTextField2.setBounds(16, 96, 121, 24);
    jTextField2.setText("Textfeld [Ausgabe]");
    cp.add(jTextField2);
    
    jButton2.setBounds(16, 56, 123, 25);
    jButton2.setText("kopiere");
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2_ActionPerformed(evt);
      }
    });
    cp.add(jButton2);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  public void jButton1_ActionPerformed(ActionEvent evt) {
    System.exit(0);
  }

  public void jButton2_ActionPerformed(ActionEvent evt) {
    jTextField2.setText(jTextField1.getText());
  }

  // Ende Methoden

  public static void main(String[] args) {
    new Gui("Gui");
  }
}
