import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.Vector;

/**
  *
  * Dies Programm demonstriert
  * den Einsatz einer JList.
  *
  * @version 1.0 vom 16.01.2010
  * @author claus albowski
  */

public class Gui extends JFrame {
  // Anfang Attribute
  private Vector jList1Daten = new Vector();                 // leer erzeugt
  private JList jList1 = new JList(jList1Daten);             // verknpft
  private JScrollPane jScrollPane1 = new JScrollPane(jList1); // scrollen
  // Ende Attribute

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jScrollPane1.setBounds(16, 8, 129, 241);
    cp.add(jScrollPane1);
    jList1.setBounds(-2, -2, 121, 233);
    jScrollPane1.setViewportView(jList1);    // ??
    jList1.addListSelectionListener(new ListSelectionListener(){
      public void valueChanged(ListSelectionEvent e){
      // macht nichts, was aber mglich wre:
      System.out.println("Index "+jList1.getSelectedIndex());
      }
    });
    
    
    // nur zum Testen:
    eintragHinzufuegen("Zeile 1 - Index 0");
    eintragHinzufuegen("Zeile 2 - Index 1");
    eintragHinzufuegen("Zeile 3 - Index 2");

    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden

  public void eintragHinzufuegen(String zeile){
    jList1Daten.add(zeile);
    jList1.updateUI();
  }

  // Ende Methoden

  public static void main(String[] args) {
    new Gui("Gui");
  }
}
