import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.Vector;

/**
  *
  * Dies Programm demonstriert neben der "Grundausstattung" eines Menus
  * den Einsatz einer JList.
  *
  * @version 1.0 vom 16.01.2010
  * @author claus albowski
  */

public class Gui extends JFrame {
  // Anfang Attribute
  private Vector jList1Daten = new Vector();                 // leer erzeugt
  private JList jList1 = new JList(jList1Daten);             // verknpft
  private JScrollPane jScrollPane1 = new JScrollPane(jList1); // scrollen

  private JMenuBar jMenuBar = new JMenuBar();
  private JMenu jDateiMenu = new JMenu("Datei");
  private JMenuItem jDateiMenuItem1 = new JMenuItem("Beenden");
  private JMenu jHilfeMenu = new JMenu("Hilfe");
  private JMenuItem jHilfeMenuItem1 = new JMenuItem("Hilfe");
  private JTextField jTextField1 = new JTextField();
  // Ende Attribute

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    setJMenuBar(jMenuBar);
    jMenuBar.add(jDateiMenu);
    jDateiMenuItem1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jDateiMenuItem1_ActionPerformed(evt);
      }
    });
    jDateiMenu.add(jDateiMenuItem1);
    jMenuBar.add(jHilfeMenu);
    jHilfeMenuItem1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jHilfeMenuItem1_ActionPerformed(evt);
      }
    });
    jHilfeMenu.add(jHilfeMenuItem1);

    jScrollPane1.setBounds(16, 8, 129, 241);
    cp.add(jScrollPane1);
    jList1.setBounds(-2, -2, 121, 233);
    jScrollPane1.setViewportView(jList1);    // ??
    jList1.addListSelectionListener(new ListSelectionListener(){
      public void valueChanged(ListSelectionEvent e){
      // macht nichts, was aber mglich wre:
      jTextField1.setText("index: "+jList1.getSelectedIndex());
      }
    });
    
    jTextField1.setBounds(168, 16, 121, 24);
    jTextField1.setText("jTextField1");
    jTextField1.addActionListener(new ActionListener(){
      public void actionPerformed(ActionEvent evt){
        eintragHinzufuegen(jTextField1.getText());
      }
    });
    cp.add(jTextField1);
    
    // nur zum Testen:
    eintragHinzufuegen("Zeile 1");
    eintragHinzufuegen("Zeile 2");
    eintragHinzufuegen("Zeile 3");

    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  public void jDateiMenuItem1_ActionPerformed(ActionEvent evt) {
    System.exit(0);
  }

  public void jHilfeMenuItem1_ActionPerformed(ActionEvent evt) {
    Hilfe.zeigeHilfe(this,"Hilfe",true);
  }
  
  public void eintragHinzufuegen(String zeile){
    jList1Daten.add(zeile);
    jList1.updateUI();
  }

  // Ende Methoden

  public static void main(String[] args) {
    new Gui("Gui");
  }
}
