import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Hilfeklasse als Singleton angelegt.
  * Die Eingabe in den Programmcode ist natrlich nicht "die" Lsung
  * vermeidet aber Fehler bei Lesezugriffen auf Textdateien.
  *
  * @version 1.0 vom 16.01.2010
  * @author claus albowski
  */

public class Hilfe extends JDialog {
  // Anfang Attribute
  private static Hilfe hilfeSingleton=null;
  private JTextArea jTextArea1 = new JTextArea("");
  private JButton jButton1 = new JButton();
  private String[] hilfeText={
  "----- Einsatz einer JList -----",
  "Der Gui mssen wir ... ",
  "-ein JScrollPane-Objekt hinzufgen,",
  "-diesem ein JList-Objekt und",
  "-dieser die Datenstruktur fr die Inhalte.",
  "Der java-editor gibt ein Array vor,",
  "wir whlen besser ein Vectorobjekt.",
  "Dem JListobjekt fgen wir einen Listener hinzu",
  "jList1.addListSelectionListener mit der",
  "valueChanged(...). ",
  "----- JTextField -----",
  "Das hier eingebaute JTextFieldobjekt dient der",
  "bernahme der Werte und braucht daher einen ",
  "ActionListener. "
  };
  // Ende Attribute

  private Hilfe(JFrame owner, String title, boolean modal) {
    // Dialog-Initialisierung
    super(owner, title, modal);
    setDefaultCloseOperation(WindowConstants.HIDE_ON_CLOSE);
    int frameWidth = 297;
    int frameHeight = 258;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = 20 + (d.width - getSize().width) / 2;
    int y = 20 + (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jTextArea1.setBounds(0, 0, 265, 177);
    jTextArea1.setText("Hilfe zu dieser Anwendung");
    textEinfuegen();
    jTextArea1.setEditable(false);
    JScrollPane jScrollPane1 = new JScrollPane(jTextArea1);
    jScrollPane1.setBounds(8, 8, 273, 185);
    cp.add(jScrollPane1);

    jButton1.setBounds(8, 200, 273, 25);
    jButton1.setText("s c h l i e s s e n");
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    jButton1.setSelected(true);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  
  private void textEinfuegen(){
    for (int i=0; i<hilfeText.length; i++) jTextArea1.append("\n"+hilfeText[i]);
  }
  public void jButton1_ActionPerformed(ActionEvent evt) {
    setVisible(false);
  }
  
  public static void zeigeHilfe(JFrame owner, String title, boolean modal){
    if (hilfeSingleton==null) hilfeSingleton=new Hilfe(owner, title, modal);
    else hilfeSingleton.setVisible(true);
  }

  // Ende Methoden
}
